### Method

# FwupdPlugin Device register_private_flag_safe

#### Declaration [src]

    void
    fu_device_register_private_flag_safe (
      FuDevice* self,
      const gchar* flag
    )

#### Description

No description available.

#### Parameters

`flag`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.